## Apache Zeta Components Manual :: Docs For Class ezcWorkflowVisitable

### Workflow::ezcWorkflowVisitable

### Interface ezcWorkflowVisitable

Interface for visitable workflow elements that can be visited by ezcWorkflowVisitor implementations for processing using the Visitor design pattern.

All elements that will be part of the workflow tree must implement this interface.

Information on the Visitor pattern.

Source for this file: /Workflow/src/interfaces/visitable.php

Version: | //autogen//

### Method Summary

public void | `accept( $visitor )` Accepts the visitor.

### Methods

#### accept

void accept( ezcWorkflowVisitor $visitor )

Accepts the visitor.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$visitor` | ezcWorkflowVisitor |

Documentation generated by phpDocumentor 1.4.3